Quattro9ParserInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
Quattro9ParserInternal::State Struct Reference

the state of Quattro9Parser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
void | initZoneNameMap ()
| init the zone name map

## Static Public Member Functions
static WPSFont | getDefaultFont ()
| returns a default font with file's version *‍/

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| the user font type
int | m_version
| the file version
char const * | m_password
| the password (if known)
librevenge::RVNGPropertyList | m_metaData
| the meta data
std::vector< librevenge::RVNGString > | m_fontNamesList
| the font name list
std::vector< WPSFont > | m_fontsList
| the font list
std::map< int, librevenge::RVNGString > | m_idToExternalFileMap
| map id to filename
std::map< int, librevenge::RVNGString > | m_idToExternalNameMap
| map id to external name
std::map< int, std::pair< librevenge::RVNGString, QuattroFormulaInternal::CellReference > > | m_idToFieldMap
| map id to field
int | m_actualSheet
| the actual sheet id
std::pair< std::shared_ptr< WPSStream >, std::vector< TextEntry > > | m_actualStrings
| the actual string list
bool | m_isEncrypted
| true if the file is encrypted
bool | m_isDecoded
| true if the main stream has been decoded
std::map< int, ZoneName > | m_idToZoneNameMap
| map zone id to zone name

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of Quattro9Parser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

Quattro9ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password )
| inline

constructor

Referenced by operator=(), and State().

## ◆ State() [2/2]

Quattro9ParserInternal::State::State | ( | State const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getDefaultFont()

static WPSFont Quattro9ParserInternal::State::getDefaultFont | ( |  | ) |
| inlinestatic

returns a default font with file's version *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type Quattro9ParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ initZoneNameMap()

void Quattro9ParserInternal::State::initZoneNameMap | ( |  | ) |

init the zone name map

## ◆ operator=()

State & Quattro9ParserInternal::State::operator= | ( | State const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_actualSheet

int Quattro9ParserInternal::State::m_actualSheet

the actual sheet id

Referenced by State().

## ◆ m_actualStrings

std::pair<std::shared_ptr<WPSStream>, std::vector<TextEntry> > Quattro9ParserInternal::State::m_actualStrings

the actual string list

Referenced by State().

## ◆ m_fontNamesList

std::vector<librevenge::RVNGString> Quattro9ParserInternal::State::m_fontNamesList

the font name list

Referenced by State().

## ◆ m_fontsList

std::vector<WPSFont> Quattro9ParserInternal::State::m_fontsList

the font list

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type Quattro9ParserInternal::State::m_fontType

the user font type

Referenced by getDefaultFontType(), and State().

## ◆ m_idToExternalFileMap

std::map<int, librevenge::RVNGString> Quattro9ParserInternal::State::m_idToExternalFileMap

map id to filename

Referenced by State().

## ◆ m_idToExternalNameMap

std::map<int, librevenge::RVNGString> Quattro9ParserInternal::State::m_idToExternalNameMap

map id to external name

Referenced by State().

## ◆ m_idToFieldMap

std::map<int, std::pair<librevenge::RVNGString,QuattroFormulaInternal::CellReference> > Quattro9ParserInternal::State::m_idToFieldMap

map id to field

Referenced by State().

## ◆ m_idToZoneNameMap

std::map<int, ZoneName> Quattro9ParserInternal::State::m_idToZoneNameMap

map zone id to zone name

Referenced by initZoneNameMap(), and State().

## ◆ m_isDecoded

bool Quattro9ParserInternal::State::m_isDecoded

true if the main stream has been decoded

Referenced by State().

## ◆ m_isEncrypted

bool Quattro9ParserInternal::State::m_isEncrypted

true if the file is encrypted

Referenced by State().

## ◆ m_metaData

librevenge::RVNGPropertyList Quattro9ParserInternal::State::m_metaData

the meta data

Referenced by State().

## ◆ m_password

char const* Quattro9ParserInternal::State::m_password

the password (if known)

Referenced by State().

## ◆ m_version

int Quattro9ParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- Quattro9.cpp